@echo off
cls
echo:
echo File Verification for the Online Bible Windows Install Disk
echo ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
echo:
if not %1x == x goto l1
echo To verify this disk run, GO Z:
echo Change "Z" to the letter of your disk drive. e.g. a or b &c.
goto dos
:l1
%1
if not exist setup2.ex_ goto bit16
   echo Testing Windows /95 or NT 32 Bit Install Disk
   echo:
   if not exist setup2.ex_ echo File Missing - SETUP2.EX_
   if not exist setup2.ex_ goto l2
   fvchk setup2.ex_    > nul
   if errorlevel 1 echo File Corrupted - SETUP2.EX_
   if errorlevel 1 goto l2
goto common
:bit16
   echo Testing Windows 3.1 16 Bit Install Disk
   echo:
   if not exist _atx40h.vb_ echo File Missing - _ATX40H.VB_
   if not exist _atx40h.vb_ goto l2
   fvchk _atx40h.vb_    > nul
   if errorlevel 1 echo File Corrupted - _ATX40H.VB_
   if errorlevel 1 goto l2
   if not exist bivbx11.dl_ echo File Missing - BIVBX11.DL_
   if not exist bivbx11.dl_ goto l2
   fvchk bivbx11.dl_    > nul
   if errorlevel 1 echo File Corrupted - BIVBX11.DL_
   if errorlevel 1 goto l2
   if not exist setup1.ex_ echo File Missing - SETUP1.EX_
   if not exist setup1.ex_ goto l2
   fvchk setup1.ex_    > nul
   if errorlevel 1 echo File Corrupted - SETUP1.EX_
   if errorlevel 1 goto l2
:common
if not exist install.801 echo File Missing - INSTALL.801
if not exist install.801 goto l2
fvchk install.801     > nul
if errorlevel 1 echo File Corrupted - INSTALL.801
if errorlevel 1 goto l2
if not exist fvchk.com echo File Missing - FVCHK.COM
if not exist fvchk.com goto l2
fvchk fvchk.com     > nul
if errorlevel 1 echo File Corrupted - FVCHK.COM
if errorlevel 1 goto l2
if not exist go.bat echo File Missing - GO.BAT
if not exist go.bat goto l2
fvchk go.bat        > nul
if errorlevel 1 echo File Corrupted - GO.BAT
if errorlevel 1 goto l2
if not exist setup.exe echo File Missing - SETUP.EXE
if not exist setup.exe goto l2
fvchk setup.exe     > nul
if errorlevel 1 echo File Corrupted - SETUP.EXE
if errorlevel 1 goto l2
if not exist install.msg echo File Missing - INSTALL.MSG
if not exist install.msg goto l2
fvchk install.msg       > nul
if errorlevel 1 echo File Corrupted - INSTALL.MSG
if errorlevel 1 goto l2
echo Your installation files are perfect.
echo:
echo To install this program under Windows, run "Z:setup" from
echo the program manager and follow the on-screen instructions.
echo Change "Z" to the letter of your disk drive. e.g. a or b &c.
goto dos
:l2
echo:
echo Your installation files are corrupted. Get a new
echo copy from the person who gave you these files.
:dos
echo:
echo: To Verify the Online Bible Windows CD-ROM, run
echo                  CDVERIFY
echo   in the root directory of the CD, under DOS.
echo:
